"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = void 0;
const babel = __importStar(require("@babel/core"));
const plugin_runtime_1 = require("./plugin-runtime");
const plugin_subset_1 = require("./plugin-subset");
const plugin_globals_1 = require("./plugin-globals");
const compile = (src, allowedNodeTypes = [], allowedGlobals = []) => {
    const runtimePlugin = (0, plugin_runtime_1.createRuntimePlugin)();
    const subsetPlugin = (0, plugin_subset_1.createSubsetPlugin)(allowedNodeTypes);
    const globalsPlugin = (0, plugin_globals_1.createGlobalsPlugin)(allowedGlobals);
    const out = babel.transform(src, {
        highlightCode: false,
        plugins: [
            subsetPlugin,
            globalsPlugin,
            runtimePlugin,
        ]
    }) || {};
    return out;
};
exports.compile = compile;
//# sourceMappingURL=compiler.js.map