declare const _default: ({ types: t }: {
    types: any;
}) => {
    visitor: {
        ImportSpecifier: (path: any, state: any) => void;
        CallExpression: (path: any, state: any) => void;
    };
};
/**
Options:
  - test: file path test regex, default /\.(js|mjs|jsx|ts|tsx)$/
  - transpile: transpilation function, default TypeScript
  - trasform: receive the final code right before write, the transpiled code
              will be replaced by the returning value.

Example usage with Babel:

"plugins": [
  "remote-func/dev-tools/babel-plugin"
]

"plugins": [
  ["remote-func/dev-tools/babel-plugin", {
    test: /regex/,
    transpile: () => {},
    transform: () => {},
    minify: true,
  }]
]

 */
export default _default;
