export declare enum ErrorType {
    EVAL = 0,
    RUNTIME = 1,
    TIMEOUT = 2,
    MEMORY_LIMIT = 3
}
export interface BaseError extends Error {
    errorType: ErrorType;
}
export declare class EvalError extends Error {
    errorType: ErrorType;
}
export declare class TimeoutError extends Error {
    errorType: ErrorType;
}
export declare class MemoryLimitError extends Error {
    errorType: ErrorType;
}
