import { RequestHandlerInterface } from '../client';
declare type Fetch = (url: string, options: {
    method?: string;
    headers?: {
        [key: string]: string;
    };
    body?: any;
}) => Promise<any>;
export interface HttpHandlerConfig {
    url: string;
    fetch: Fetch;
}
/** Create an client HTTP handler that works as a link between Client and HTTP */
export declare const httpHandler: (_config?: Partial<HttpHandlerConfig>) => (iface: RequestHandlerInterface) => void;
export {};
