"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.noop = exports.funcUrl = void 0;
/** Transform a RemoteFunction to a URL */
var funcUrl = function (url, rf) {
    var source = rf.source;
    var result = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var urlParam = '';
        var hasQuestionChar = url.indexOf('?') !== -1;
        var lastChar = url.charAt(url.length - 1);
        if (lastChar === '?' || lastChar === '&') {
            urlParam = 'requests=';
        }
        else if (!hasQuestionChar) {
            urlParam = '?requests=';
        }
        return url + urlParam + encodeURIComponent(JSON.stringify({ source: source, args: args }));
    };
    return result;
};
exports.funcUrl = funcUrl;
var noop = function () { };
exports.noop = noop;
//# sourceMappingURL=util.js.map