"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPartialFunc = exports.getPartialFuncSource = exports.isPartialFunc = void 0;
var partialFuncKeyworkd = '@partial-func';
var isPartialFunc = function (str) {
    return str.indexOf(partialFuncKeyworkd) === 0;
};
exports.isPartialFunc = isPartialFunc;
/** return partial func source */
var getPartialFuncSource = function (partialFuncCommandStr) {
    return partialFuncCommandStr.substring(partialFuncKeyworkd.length).trim();
};
exports.getPartialFuncSource = getPartialFuncSource;
/** Create partialFunc command */
var createPartialFunc = function (source) {
    return "".concat(partialFuncKeyworkd, " ").concat(source);
};
exports.createPartialFunc = createPartialFunc;
//# sourceMappingURL=partial-func.js.map